Page MenuHomePhabricator

Create production LE accounts
Closed, ResolvedPublic

Description

Right now the certcentral prod config has a staging LE account, it should have a prod one.

Event Timeline

Krenair triaged this task as Medium priority.Oct 19 2018, 3:05 PM
Krenair created this task.
ema moved this task from Triage to TLS on the Traffic board.Oct 22 2018, 8:28 AM

As per T208212 two Lets Encrypt production accounts are going to be created

Krenair renamed this task from Create production LE account to Create production LE accounts.Nov 5 2018, 3:45 PM

Change 471751 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[labs/private@master] secret: add dummy LE ACMEv2 private keys for certcentral[12]001

https://gerrit.wikimedia.org/r/471751

Change 471753 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] certcentral: Switch to LE ACMEv2 production environment

https://gerrit.wikimedia.org/r/471753

Change 471751 merged by Vgutierrez:
[labs/private@master] secret: add dummy LE ACMEv2 private keys for certcentral[12]001

https://gerrit.wikimedia.org/r/471751

Change 471753 merged by Vgutierrez:
[operations/puppet@production] certcentral: Switch to LE ACMEv2 production environment

https://gerrit.wikimedia.org/r/471753

Krenair closed this task as Resolved.Nov 6 2018, 1:12 PM

<vgutierrez> so certcentral is running now against the LE ACMEv2 production environment, no ratelimits hitted, no internal services hammered, pinkunicorn.wm.o certificates happily issued \o/